==================== 0.6.4 ====================

Wed Jan 7 18:38:04 PDT 2009  Jason 'vanRijn' Kasper <vR@movingparts.net>

        * ChangeLog:
        * NEWS:
        * configure.ac:
          - Due to gtkmm2 using the deprecated GtkType, our users previously
            needed to compile with --enable-deprecated to get around it. Switching
            default to --enable-deprecated=yes in configure.ac to be nicer.

Wed Jan 7 17:32:04 PDT 2009  Jason 'vanRijn' Kasper <vR@movingparts.net>

        * ChangeLog:
        * configure.ac:
        * NEWS:
          - Bumped version to 0.6.4
        * libview/AUTHORS:
        * libview/ChangeLog:
        * libview/ovBox.c:
        * libview/ovBox.h:
          - Add ViewOvBox_SetVerticalOffset function, which repositions
            the "over" box at the given vertical offset. This is required
            for cases where the user wishes to shift the position of the
            "over" box down from the top of the GtkWindow (case in point:
            Workstation in multimon mode with different monitor resolutions,
            bottom-aligned).
        * tests/test-auto-drawer.cc:
          - Add "Vertical Offset" checkbox. Clicking it will reposition
            the drawer 100 pixels down from the top of the GtkWindow.

==================== 0.6.3 ====================

Sun Dec  7 15:55:25 PST 2008  David Trowbridge <trowbrds@gmail.com>

	* ChangeLog:
	* configure.ac:
	* NEWS:
	  - Bumped version to 0.6.3
	* configure.ac:
	  - Add AC_PROG_CXX to properly get C++ compiler definitions.
	* libview/autoDrawer.c:
	  - Remove an assertion on the result of gtk_grab_get_current which is
	    no longer guaranteed with modern GTK+ libraries.

==================== 0.6.2 ====================

Mon Jun 16 17:32:04 PDT 2008  Carmen Jackson <carmen@vmware.com>

	* AUTHORS:
	* ChangeLog:
	* configure.ac:
	* NEWS:
	  - Bumped version to 0.6.2.

Thu Jun 12 13:43:75 PDT 2008  Carmen Jackson <carmen@vmware.com>

	* libview/autoDrawer.c:
	* libview/autoDrawer.h:
	  - Add ViewAutoDrawer_Close function, which closes the drawer
	    immediately when called.
	* libview/drawer.c:
	* libview/drawer.h:
	  - Add ViewDrawer_GetCloseTime function to calculate the amount
	    of time it would take to fully open or close the drawer.
	* tests/test-auto-drawer.cc:
	  - Add "Close" button inside the drawer to check the new Close
	    functionality. This button should close the drawer immediately.

==================== 0.6.1 ====================

Mon Aug 20 21:23:39 PDT 2007  Christian Hammond <chipx86@chipx86.com>

	* libview/ovBox.c:
	  - Rather than having special logic, just call the parent class's
	    realize() first, which will take care of this.

	* configure.ac:
	  - Bump the version to 0.6.1.

Mon Aug 20 20:59:10 PDT 2007  Christian Hammond <chipx86@chipx86.com>

	* libview/ovBox.c:
	  - Recurse through the children of the OvBox, calling unrealize()
	    before we actually go and destroy the GdkWindows. This allows
	    children to reparent their window on unrealize before we start
	    clobbering them.

Mon Aug 20 15:41:14 PDT 2007  David Trowbridge <trowbrds@gmail.com>

	* libview/fieldEntry.hh:
	* libview/fieldEntry.cc:
	  - Add an on_size_request override which will correctly account for the
	    extra spacing in the widget when requesting a minimum size.

==================== 0.6.0 ====================

Mon Jan 22 19:35:52 PST 2007  David Trowbridge <trowbrds@gmail.com>

	* ChangeLog:
	* NEWS:
	* configure.ac:
	  - Bump the version to 0.6.0.

Wed Jan 10 15:02:13 PST 2007  Grant Patterson <grantp@vmware.com>

	* libview/autoDrawer.c:
	* libview/autoDrawer.h:
	  - Add private variables fill (bool) and offset (int).
	  - Add SetOffset function to set the X-offset for the drawer.
		 If offset is -1, centers the drawer.
	  - Modify SetFill function to set fill variable
	  - Add RefreshPacking function: use values of fill
	    and offset to set packing child packing properties
		 appropriately.

	* libview/ovBox.c:
	  - If child packing "fill" and "expand" properties are both false,
	    uses the "padding" property for the drawer's X offset.

	* tests/test-auto-drawer.cc:
	  - Add "Center" checkbox to check functionality of AutoDrawer's
	    SetOffset function. Toggles between centered drawer and
		 drawer offset by 10 pixels.

Thu Dec 21 20:05:20 PST 2006  David Trowbridge <trowbrds@gmail.com>

	* libview/autoDrawer.c:
	  - Fix a bug in ViewAutoDrawerEnforce which was mucking up the
	    calculation for the overlap amount set by _SetOverlapPixels.
	    The culprit here was that it was calculating the fraction
	    using the entire box's allocation, rather than just the "over"
	    child's.

Tue Apr 25 12:39:29 PDT 2006  Régis Duchesne <hpreg@vmware.com>

	* libview/autoDrawer.c:
	  - Handle menus which don't properly set their attach widget.

==================== 0.5.6 ====================

Thu Dec 15 17:50:43 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libview/fieldEntry.cc:
	  - Fix a bug where instead of checking if an inputted character
	    was in a string consisting of mDelim and sTabChar, we were
	    checking if it was in a string consisting of the added ascii
	    values of the characters mDelim and sTabChar. This was preventing
	    the character "6" from being entered when using "-" as the
	    delimiter, which is how we found this.

Fri Dec 02 16:13:19 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* tests/.cvsignore:
	* tests/Makefile.am:
	A tests/test-content-box.cc:
	  - Added a test case for the view::ContentBox widget.

==================== 0.5.5 ====================

Thu Nov 10 14:06:37 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* ChangeLog:
	* NEWS:
	* configure.ac:
	  - Bump the version to 0.5.5. Release time.

Thu Nov 10 14:00:20 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libview/header.cc:
	* libview/header.hh:
	  - Added alignment support to view::Header.

Thu Nov 10 13:04:42 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libview/uiGroup.cc:
	* libview/uiGroup.hh:
	  - Fix Merge to automatically call Unmerge if it's already merged, as
	    per the comment description. For some reason, this was either
	    never implemented, or removed, but enabling this doesn't seem to
	    break anything from my tests and does fix a bug I've encountered.
	  - Added an IsMerged() function.

Thu Nov 10 12:27:12 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libview/wrapLabel.cc:
	  - Call SetText in the WrapLabel constructor instead of passing the
	    text to the Gtk::Label constructor, so that we can actually get
	    wrapping.

Mon Oct 31 13:14:16 PST 2005  Régis Duchesne <hpreg@vmware.com>

	* libview/autoDrawer.c:
	  - Handle the 'pinned' user input like other types of user inputs
	    (such as 'focused', 'grabbed'): if FALSE default to delay, if TRUE
	    override with immediate. This way the drawer behaves consistently
	    even when clients use SetPinned to implement a piece of the
	    decision logic.

Mon Oct 31 11:46:09 PST 2005  Régis Duchesne <hpreg@vmware.com>

	* libview/autoDrawer.c:
	  - Improved the flexibility of the decision logic. It is now obvious
	    that it correctly does what it is supposed to do, and it now
	    supports 'delay on focus out'.
	  - Properly handle input grabs where the grabbing widget is a submenu.

	* tests/test-auto-drawer.cc:
	  - 'Long delay' is now 1s., to give enough time to the testing user to
	    change things while the delay is pending.

Fri 28 Oct 16:08:15 PDT 2005  Philip Langdale <plangdale@vmware.com>

	* libview/autoDrawer.c:
	  - Fix bug where deactivating the autoDrawer while it was moving
	    would not do the right thing.
	  - Add generic support for keeping the autoDrawer open while
	    the focus is inside it.

Fri Oct 28 15:57:35 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* NEWS:
	* configure.ac:
	  - Update the version to 0.5.4.90 for development.

==================== 0.5.4 ====================

Thu Oct 27 17:48:26 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* NEWS:
	* configure.ac:
	  - Updated the version and NEWS to 0.5.4.

Thu 27 Oct 16:47:51 PDT 2005  Philip Langdale <plangdale@vmware.com>

	* libview/autoDrawer.c
	* libview/autoDrawer.h
	* tests/test-auto-drawer.cc:
	  - Whoops. There was one more public API call that the
	    autoDrawer needed, but I forgot to add. It lets you
	    set whether the 'over' widget should occupy the full
	    widget of the autoDrawer or whether it should just
	    be centred and occupy as little space as possible.

==================== 0.5.3 ====================

Thu 27 Oct 14:06:23 PDT 2005  Philip Langdale <plangdale@vmware.com>

	* libview/menuToggleAction.cc
	* libview/menuToggleAction.hh:
	  - Fixed detaching proxy widget from menu. I wasn't
	    disconnecting the callback after it fires.

Thu Oct 27 11:23:08 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* NEWS:
	* configure.ac:
	  - Bumped the version to 0.5.3. Releasing.

Thu Oct 27 11:00:02 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libview/fieldEntry.cc:
	* libview/fieldEntry.hh:
	* libview/ipEntry.cc:
	* libview/ipEntry.hh:
	* tests/test-field-entry.cc:
	  - Improved FieldEntry validation a bit more.
	  - Added a FilterField virtual function that can modify a field as a
	    user is typing in it. The resulting field is still subject to the
	    validation rules.

Tue Oct 25 22:43:22 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libview/ipEntry.cc:
	* libview/ipEntry.hh:
	  - Update IPEntry to work with and take advantage of the new
	    validation changes

Tue Oct 25 22:17:33 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libview/fieldEntry.cc:
	* libview/fieldEntry.hh:
	* tests/test-field-entry.cc:
	  - Improve validation more to check the results of
	    GetAllowedFieldChars() for valid characters.
	  - Allow GetIsFieldValid() to modify the returned string. This is
	    useful to uppercase the string.

Tue Oct 25 21:57:21 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libview/fieldEntry.cc:
	* libview/fieldEntry.hh:
	* tests/.cvsignore:
	* tests/Makefile.am:
	A tests/test-field-entry.cc:
	* tests/test-ip-entry.cc:
	* configure.ac:
	  - Added field alignment support to FieldEntry.
	  - Fixed validation to do a length check beforehand, so that the subclass
	    doesn't have to enforce the length in GetIsFieldValid().
	  - Added a test-field-entry app.

Tue Oct 25 21:18:00 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libview/Makefile.am:
	* tests/Makefile.am:
	* configure.ac:
	  - The AM_CPPFLAGS addition doesn't work with all versions of automake,
	    and failed horribly on mine. Since there are times when users may not
	    want the DISABLE_DEPRECATED flags set, I've moved the code into a
	    conditional that by default adds them to DEBUG_CFLAGS, but can be
	    turned of by --enable-deprecated. I then added DEBUG_CFLAGS to each
	    Makefile.am's INCLUDES line. This should work everywhere.

Tue 25 Oct 15:40:07 PDT 2005  Philip Langdale <plangdale@vmware.com>

	* libview/autoDrawer.c
	* libview/autoDrawer.h
	* libview/drawer.c
	* libview/drawer.h
	* libview/ovBox.c
	* libview/ovBox.h:
	- Update all C objects to use GObject private structs for
	  private data and add parameter sanity checking to all
	  public calls.

Tue 25 Oct 11:16:43 PDT 2005  Philip Langdale <plangdale@vmware.com>

	* libview/drawer.c
	* libview/drawer.h:
        - Make Drawer inheritable by moving struct definitions to the
          header file.

	* libview/ovBox.c
	* libview/ovBox.h:
	- Make SetOver a virtual method so that AutoDrawer is friendlier
	  to use.
	- Make the base SetOver implementation safe for the case of
	  setting the same widget again, or a child of the same widget.

	* libview/Makefile.am
	A libview/autoDrawer.c
	A libview/autoDrawer.h:
	- Add the AutoDrawer widget. This encapsulates the policy associated
	  with using a Drawer to implement an auto-hide menu/toolbar - which
	  is probably the most common use. The public API is pretty simple
	  and already documented.
	- I will be making a second pass on all three C classes to add
	  sanity checks and to use PRIVATE structs for private data.
	- Note that non-GtkMenu popups from widgets in the AutoDrawer will
	  not be handled correctly because there is no general way to
	  get from such popups back to the 'owning' widget. The most
	  obvious example of this is GtkEntryCompletion but it's probably
	  equally true for GtkComboBox* and GnomeEntry, etc. I suspect
	  that this problem is intractable without changes to those widgets
	  to export the relationship.

	* tests/.cvsignore
	* tests/Makefile.am
	* tests/test-auto-drawer.cc:
	- Add a test for the AutoDrawer.

Tue Oct 25 00:47:19 PDT 2005  Régis Duchesne <hpreg@vmware.com>

	* libview/drawer.c:
	* libview/ovBox.c:
	* tests/.cvsignore:
	* tests/Makefile.am:
	A tests/test-ovBox.cc:
	  - Fixed indentation in ovBox/drawer.
	  - Fixed signedness issue reported by gcc 4.0.2 in ovBox.
	  - Extracted ovBox unit test code into its own file.

Mon 24 Oct 10:24:32 PDT 2005  Philip Langdale <plangdale@vmware.com>

	* libview/menuToggleAction.cc
	* libview/menuToggleAction.hh:
	  - Set the attach_widget for the popup menu before it is shown
	    and clear it afterwards. The pending autoDrawer widget
	    requires popup menus to correctly set their attach_widget.

Sun 23 Oct 10:51:15 PDT 2005  Philip Langdale <plangdale@vmware.com>

	* libview/drawer.c
	* libview/ovBox.c:
          - gtk_type_class is not deprecated per-se but has a replacement.

Sun 23 Oct 10:40:57 PDT 2005  Philip Langdale <plangdale@vmware.com>

	* libview/drawer.h
	* libview/ovBox.h:
	  - The headers should be updated too, even if they still compile.

Sun 23 Oct 10:11:32 PDT 2005  Philip Langdale <plangdale@vmware.com>

	* configure.ac
	* libview/drawer.c
	* libview/ovBox.c:
	  - Make libview compile with DISABLE_DEPRECATIONS.

Fri Oct 21 18:39:12 PDT 2005  Régis Duchesne <hpreg@vmware.com>

	* libview/fieldEntry.cc:
	* libview/fieldEntry.hh:
	* tests/test-ip-entry.cc:
	  - Allow for no padding around the separator, so the FieldEntry is
	    pixel identical to Gtk::Entry with the same content.
	  - Put a tab stop at then end of the entry, so leftmost selection and
	    righmost selection are symetrical and look good.
	  - Prevent the entry from scrolling.

Fri Oct 20 14:20:16 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libview/Makefile.am:
	* libview/deadEntry.hh:
	A libview/fieldEntry.cc:
	A libview/fieldEntry.hh:
	* libview/ipEntry.cc:
	* libview/ipEntry.hh:
	A libview/utils.cc:
	A libview/utils.hh:
	* tests/test-ip-entry.cc:
	  - Added the FieldEntry widget.

Thu Sep 29 15:57:51 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libview/Makefile.am:
	A libview/ipEntry.cc:
	A libview/ipEntry.hh:
	* tests/.cvsignore:
	* tests/Makefile.am:
	A tests/test-ip-entry.cc:
	* configure.ac:
	  - Added the view::IPEntry widget.
	  - Bumped the version to 0.5.2.90.

==================== 0.5.2 ====================

Tue Sep 27 15:19:51 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libview/Makefile.am
	* configure.ac:
	  - Actually set the .so version for libview.

Tue Sep 27 14:45:29 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* NEWS:
	* configure.ac:
	  - Updated the NEWS.
	  - Bumped the version 0.5.2 and the .so version number.

Mon Sep 26 15:45:41 PDT 2005  Régis Duchesne <hpreg@vmware.com>

	* libview/deadEntry.cc:
	* libview/motionTracker.hh:
	* libview/toolTip.hh:
	  - Consistently include files using <> (instead of "") and a libview/
	    prefix.

Mon Sep 26 15:37:51 PDT 2005  Régis Duchesne <hpreg@vmware.com>

	* libview/baseBGBox.cc:
	* libview/defines.h:
	* libview/menuToggleAction.cc:
	* libview/ovBox.c:
	* libview/reparenter.cc:
	* libview/widthHeight.cc:
	  - Stop including defines.h unnecessarily.

Mon Sep 26 15:22:01 PDT 2005  Régis Duchesne <hpreg@vmware.com>

	D libview/visibilityBox.hh:
	D libview/visibilityBox.cc:
	A libview/contentBox.hh:
	A libview/contentBox.cc:
	* libview/Makefile.am:
	* libview/view.hh:
	  - Renamed VisibilityBox to ContentBox. Minor code changes, no change
	    in behavior.

Fri Sep 16 13:06:58 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libview/wrapLabel.cc:
	  - Fixed a bug in WrapLabel's wrapping. Under some rare cases, the
	    WrapLabel would temporarily grow very tall, causing the window it
	    is in to be resized. This bug has been seen only once, when used in
	    a vbox subclass widget that wasn't shown until later on in the
	    dialog. The problem turned out tobe that due to how we handle the
	    size requests and allocation, the wrap width would temporarily be
	    set to 0, before being reset to a sane width. We now just check if
	    the wrap width is 0 in SetWrapWidth, and ignore it. This doesn't
	    appear to break anything, and it fixes this bug.

Fri Sep 16 13:05:40 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* configure.ac:
	  - Bump the version to 0.5.1.90 for the next development work.
	  - Change the contact e-mail address to the listserv on SourceForge.

==================== 0.5.1 ====================

Tue Sep 13 12:45:22 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* configure.ac:
	* NEWS:
	  - Bump the version to 0.5.1 and prepare for release.

Tue Sep 13 12:44:23 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* tests/test-drawer.cc:
	  - Fixed the test-drawer app to use glib2 signal functions and to
	    exit when the window closes.

Tue Sep 13 12:27:43 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* tests/Makefile.am:
	* tests/.cvsignore:
	A tests/test-header-bgbox.cc:
	  - Added a test-header-bgbox test program.

Tue Sep 13 12:24:31 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libview/wrapLabel.cc:
	  - Set the alignment to 0.0, 0.0 by default. Otherwise, the
	    text alignment starts toward the center, but spans past the
	    right edge. We always set the alignment to 0.0, 0.0 in
	    Workstation, but most people aren't going to realize this is
	    needed.

Mon Sep 12 17:29:56 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* tests/Makefile.am:
	* tests/.cvsignore:
	A tests/test-dead-entry.cc:
	  - Added a test program for view::DeadEntry.

Mon Sep 12 17:10:08 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* tests/.cvsignore:
	* tests/Makefile.am:
	A tests/test-wrap-label.cc:
	  - Added a test program for view::WrapLabel.

Sat Sep 10 12:19:23 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* Makefile.am:
	* configure.ac:
	  - Make sure we bundle scripts/doxy-filter.pl in the tarball.

Thu Sep 08 15:05:20 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libview/drawer.c:
	A tests/.cvsignore:
	A tests/Makefile.am:
	A tests/test-drawer.cc:
	* Makefile.am:
	* configure.ac:
	  - Added a test app for the ViewDrawer widget.

Thu Sep 08 14:54:46 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* NEWS:
	  - Update the NEWS file with the new changes.

Thu Sep 08 14:49:27 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libview/reparenter.cc:
	  - Cross-porting Régis's fix for the reparenter:

	    "gtk_widget_reparent() sometimes actually unrealizes the widget:
	    when the new parent is not realized, which is what happens here.

	    In other words, depending on whether the new parent is
	    realized or not, gtk_widget_reparent() can end up
	    unmapping/mapping the widget.

	    The problem was that the reparenter code was
	    setting mWasMapped too soon (i.e. before the call
	    to reparent()), and that value could be
	    subsequently modified by reparent(). This lead to
	    the code thinking mWasMapped was false where it
	    should have been true, and so the code was _not_
	    re-showing the GDK window asynchronously instead
	    of re-showing it."

Thu Sep 08 14:42:56 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libview/Makefile.am:
	A libview/undoableTextView.cc:
	A libview/undoableTextView.hh:
	  - Added the UndoableTextView widget, which is a Gtk::TreeView that
	    has built-in undo/redo support.

Thu Sep 08 14:33:32 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libview/Makefile.am:
	A libview/deadEntry.cc:
	A libview/deadEntry.hh:
	  - Add the DeadEntry widget, which is a Gtk::Entry that greys itself
	    out when it's not editable.

Thu Sep 08 14:15:57 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* NEWS:
	* configure.ac:
	  - Bump up the version to 0.5.0.90. This marks a development version,
	    and will be at 0.5.1 for the next release.

Wed Sep 07 16:01:19 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* docs/.cvsignore:
	* docs/Makefile.am:
	* docs/html/.cvsignore:
	* docs/html/Makefile.am:
	* scripts/doxy-filter.pl:
	* Doxyfile.in:
	* Makefile.am:
	* configure.ac:
	  - Set up documentation support.

Tue Sep 06 19:16:12 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* Initial checkin! We have lift-off.
